<?php

namespace Drp\ProjectHelpers\Tests\Concerns;

/**
 * Class InteractsWithApplication
 * @package Drp\ProjectHelpers
 */
trait InteractsWithApplication
{
    /**
     * Create a mock for the given class name and add it to the application container.
     * Will return the mocked class.
     *
     * @param string $className
     * @param null $alias The name of the alias to mock in the application
     * @return \Mockery\MockInterface
     */
    public function mockInApplication($className, $alias = null)
    {
        $class = \Mockery::mock($className);
        app()->instance(is_null($alias) ? $className : $alias, $class);
        return $class;
    }

    /**
     * Create a spy for the given class name and add it to the application container.
     * Will return the spy class.
     *
     * @param string $className
     * @param null $alias The name of the alias to mock in the application
     * @return \Mockery\MockInterface
     */
    public function spyInApplication($className, $alias = null)
    {
        $class = \Mockery::spy($className);
        app()->instance(is_null($alias) ? $className : $alias, $class);
        return $class;
    }
}
