<?php

use Watson\BootstrapForm\Facades\BootstrapForm;

if (!function_exists('form_open')) {

    /**
     * @param mixed $options
     * @return mixed
     */
    function form_open($options = [])
    {
        return BootstrapForm::open($options);
    }
}

if (!function_exists('form_close')) {

    /**
     * @return mixed
     */
    function form_close()
    {
        return BootstrapForm::close();
    }
}

if (!function_exists('text')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function text($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::text($name, $label, $value, $options);
    }
}

if (!function_exists('email')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function email($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::email($name, $label, $value, $options);
    }
}

if (!function_exists('input_url')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function input_url($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::url($name, $label, $value, $options);
    }
}

if (!function_exists('tel')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function tel($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::tel($name, $label, $value, $options);
    }
}

if (!function_exists('number')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function number($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::number($name, $label, $value, $options);
    }
}

if (!function_exists('input_date')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function input_date($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::date($name, $label, $value, $options);
    }
}

if (!function_exists('input_time')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function input_time($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::time($name, $label, $value, $options);
    }
}

if (!function_exists('textarea')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function textarea($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::textarea($name, $label, $value, $options);
    }
}


if (!function_exists('password')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param mixed $options
     * @return mixed
     */
    function password($name, $label = null, $options = [])
    {
        return BootstrapForm::password($name, $label, $options);
    }
}


if (!function_exists('checkbox')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param integer|null $value
     * @param boolean|null $checked
     * @param mixed $options
     * @return mixed
     */
    function checkbox($name, $label = null, $value = 1, $checked = null, $options = [])
    {
        return BootstrapForm::checkbox($name, $label, $value, $checked, $options);
    }
}


if (!function_exists('checkboxes')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param mixed $choices
     * @param boolean|null $checkedValue
     * @param boolean $inline
     * @param mixed $options
     * @return mixed
     */
    function checkboxes($name, $label = null, $choices = [], $checkedValue = null, $inline = null, $options = [])
    {
        $inline = is_null($inline) ? false : $inline;
        return BootstrapForm::checkboxes($name, $label, $choices, $checkedValue, $inline, $options);
    }
}


if (!function_exists('radio')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param integer|null $value
     * @param boolean|null $checked
     * @param mixed $options
     * @return mixed
     */
    function radio($name, $label = null, $value = 1, $checked = null, $options = [])
    {
        return BootstrapForm::radio($name, $label, $value, $checked, $options);
    }
}


if (!function_exists('radios')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param mixed $choices
     * @param boolean|null $checkedValue
     * @param boolean $inline
     * @param mixed $options
     * @return mixed
     */
    function radios($name, $label = null, $choices = [], $checkedValue = null, $inline = null, $options = [])
    {
        $inline = is_null($inline) ? false : $inline;
        return BootstrapForm::radios($name, $label, $choices, $checkedValue, $inline, $options);
    }
}


if (!function_exists('select')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param mixed $selectOption
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function select($name, $label = null, $selectOption = [], $value = null, $options = [])
    {
        return BootstrapForm::select($name, $label, $selectOption, $value, $options);
    }
}


if (!function_exists('input_file')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param mixed $options
     * @return mixed
     */
    function input_file($name, $label = null, $options = [])
    {
        return BootstrapForm::file($name, $label, $options);
    }
}


if (!function_exists('input_image')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function input_image($name, $label = null, $value = null, $options = [])
    {
        if (!is_null($value)) {
            echo '<img style="height:100px;" src="' . $value . '">';
        }
        return BootstrapForm::file($name, $label, $options);
    }
}

if (!function_exists('hidden')) {

    /**
     * @param string $name
     * @param string|null $label
     * @param string|null $value
     * @param mixed $options
     * @return mixed
     */
    function hidden($name, $label = null, $value = null, $options = [])
    {
        return BootstrapForm::hidden($name, $label, $value, $options);
    }
}

if (!function_exists('submit')) {

    /**
     * @param string $name
     * @param mixed $options
     * @return mixed
     */
    function submit($name, $options = [])
    {
        return BootstrapForm::submit($name, $options);
    }
}

if (!function_exists('button')) {

    /**
     * @param string $name
     * @param mixed $options
     * @return mixed
     */
    function button($name, $options = [])
    {
        return BootstrapForm::button($name, $options);
    }
}
